<template>
  <div>
    <v-flex>
      <v-text-field
        label="Add todo"
        outline
        type="text"
        v-model="title"
        v-on:keyup.enter="saveTodo(title)"
        background-color="yellow lighten-1"
      ></v-text-field>
    </v-flex>
  </div>
</template>

<script>
export default {
  data() {
    return {
      title: ""
    };
  },

  methods: {
    saveTodo(title) {
      //save todo si il me donne un title
      this.$emit("add-todo", {
        title: title,
        id: Date.now().toString(),
        completed: false
      });
    }
  }
};
</script>

<style>
</style>
